cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/webhook-deliveries/{webhookDeliveryId} \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/webhook-deliveries/{webhookDeliveryId}"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/webhook-deliveries/{webhookDeliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "wd_4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"event_id": "ev4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"endpoint_id": "we_4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"event": "ticket.sold",
"status": "failed",
"next_retry_at": "2026-08-12T10:20:30.000Z",
"attempts": [
{
"number": 1,
"requested_at": "2026-08-12T10:15:30.000Z",
"duration_ms": 320,
"status_code": 500,
"error_message": "connect ETIMEDOUT",
"response_body": "{\"error\":\"internal error\"}"
}
],
"payload": {
"id": "ev4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"event": "ticket.sold",
"resource_type": "ticket",
"resource_id": "ti4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"created_at": "2026-08-12T10:15:30.000Z"
}
}
}Webhook Deliveries
Get webhook delivery by id
Gets a single delivery owned by the organization, with its attempts and the exact payload that was signed and sent (see the WebhookEventPayload schema).
GET
/
webhook-deliveries
/
{webhookDeliveryId}
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Path Parameters
Webhook delivery identifier.